## CallyUtil

CallyUtil — AtkUtil implementation

## Types and Values

struct | CallyUtil
struct | CallyUtilClass

## Object Hierarchy

        GObject
        ╰── AtkUtil
            ╰── CallyUtil

## Description

CallyUtil implements AtkUtil abstract methods. Although it includes the name "Util" it is in fact one of the most important interfaces to be implemented in any ATK toolkit implementation.

For instance, it defines `atk_get_root()`, the method that returns the root object in the hierarchy. Without it, you don't have available any accessible object.

## Functions

## Types and Values

### struct CallyUtil

    struct CallyUtil;

The CallyUtil structure contains only private data and should be accessed using the provided API

Since: 1.4

### struct CallyUtilClass

    struct CallyUtilClass {
    };

The CallyUtilClass structure contains only private data

Since: 1.4

## See Also

ClutterActor